export enum IVisibility {
  PUBLIC = 'public',
  PRIVATE = 'private',
  INTERNAL = 'internal',
}

/**
 * Gitlab Group model basing on org.gitlab4j.api.models.Group
 */
export interface GitlabGroup {
  id: number;
  name: string;
  path: string;
  description: string;
  visibility: IVisibility;
  avatarUrl: string;
  webUrl: string;
  fullName: string;
  fullPath: string;
  parentId: number;
}
