function setupProxy({ tls }) {
  const conf = [
    {
        context: [
            '/api',
            '/oauth2Config',
            '/oauth2',
            '/login',
            '/services',
            '/management',
            '/swagger-resources',
            '/v3/api-docs',
            '/h2-console',
            '/auth',
            '/health'
        ],
      target: `http${tls ? 's' : ''}://localhost:8080`,
      secure: false,
      changeOrigin: tls,
    },
  ];
  return conf;
}

module.exports = setupProxy;
